Get listings of a collection

Path Params
string
required

collection symbol

Query Params
integer

The number of items to skip, default 0, min 0

integer

The numbers of items to return, default 20, min 1, max 100

number

Filter listings that are less than this price

number

Filter listings that are more than this price

attributes
array of arrays of objects

Represents a filtering mechanism where the elements within each inner array are logically ORed, and the resulting arrays are ANDed together at the top level. Each inner array consists of objects with two properties: traitType (a string) and value (a string). For example: [[{"traitType":"trait1", "value":"value1"},{"traitType":"trait1", "value":"value2"}]] would return listings that have "value1" OR "value2" for "trait1".

attributes
string
enum

The field to sort the listings, default 'listPrice'

Allowed:
boolean

True to return aggregated marketplace listings, false to return just Magic Eden listings.

string
enum

The direction returned elements should be sorted in, default 'asc'

Allowed:
paymentMints
array of strings

Filter listings by the payment mint address that the seller expects. Default to filter for listings that only accept native SOL. Use "ALL" to show all listings.

paymentMints
Responses

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json